Ubuntu vm-builder 启动帐户配置本地安全绕过漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1184625 漏洞类型 信任管理
发布时间 2008-11-17 更新时间 2008-11-18
CVE编号 CVE-2008-5103 CNNVD-ID CNNVD-200811-254
漏洞平台 N/A CVSS评分 7.2
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200811-254
|漏洞详情
Ubuntu是以DebianLinux发行版为基础,开发的一个目前非常流行的Linux桌面版操作系统。当调用带有root:!自变量的chpasswd时,Ubuntu8.10版本中的VMBuilder0.9版本里的(1)python-vm-builder和(2)ubuntu-vm-builder执行工具会用一个cleartext密码-"!"来配置启动帐户,这使得攻击者可以绕过设置的登录限制。
|参考资料

来源:BID
名称:32292
链接:http://www.securityfocus.com/bid/32292
来源:SECUNIA
名称:32697;PatchInformation
链接:http://secunia.com/advisories/32697
来源:bugs.launchpad.net
链接:https://bugs.launchpad.net/ubuntu/+source/vm-builder/+bug/296841
来源:XF
名称:vmbuilder-password-weak-security(46603)
链接:http://xforce.iss.net/xforce/xfdb/46603
来源:UBUNTU
名称:USN-670-1
链接:http://www.ubuntu.com/usn/usn-670-1
来源:launchpadlibrarian.net
链接:http://launchpadlibrarian.net/19619929/vm-builder_0.9-0ubuntu3.1.debdiff